singleton Material(box_trailer)
{
    mapTo = "box_trailer";
	diffuseMap[0] = "vehicles/inertia_box_trailer/trailer_inertia_trim1_d.png";
    specularMap[0] = "vehicles/common/null3.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
};
singleton Material(bt_suspension)
{
    mapTo = "bt_suspension";
    diffuseMap[1] = "vehicles/inertia_box_trailer/box_trailer_suspension_d.dds";
    specularMap[1] = "vehicles/inertia_box_trailer/box_trailer_suspension_s.dds";
    normalMap[1] = "vehicles/inertia_box_trailer/box_trailer_suspension_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/inertia_box_trailer/box_trailer_suspension_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};
/*
singleton Material(box_trailer_suspension)
{
    mapTo = "box_trailer_suspension";
    diffuseMap[1] = "vehicles/inertia_box_trailer/box_trailer_suspension_d.dds";
    specularMap[1] = "vehicles/inertia_box_trailer/box_trailer_suspension_s.dds";
    normalMap[1] = "vehicles/inertia_box_trailer/box_trailer_suspension_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/inertia_box_trailer/box_trailer_suspension_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};
*/
singleton Material(box_trailer_taillight)
{
    mapTo = "box_trailer_taillight";
};

singleton Material(box_trailer_signal_R)
{
    mapTo = "box_trailer_signal_R";
};

singleton Material(box_trailer_signal_L)
{
    mapTo = "box_trailer_signal_L";
};
singleton Material(box_trailer_lights)
{
    mapTo = "box_trailer_lights";
    diffuseMap[1] = "box_trailer_lights_d.png";
    //specularMap[1] = "box_trailer_lights_s.dds";
    //normalMap[1] = "box_trailer_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "box_trailer_lights_n.dds";
    //diffuseMap[2] = "box_trailer_lights_dirt.dds";
    //normalMap[2] = "box_trailer_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(box_trailer_lights_on)
{
    mapTo = "box_trailer_lights_on";
    diffuseMap[2] = "box_trailer_lights_g.png";
    //specularMap[2] = "box_trailer_lights_s.dds";
    //normalMap[2] = "box_trailer_lights_n.dds";
    diffuseMap[1] = "box_trailer_lights_d.png";
    //specularMap[1] = "box_trailer_lights_s.dds";
    //normalMap[1] = "box_trailer_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    //specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "box_trailer_lights_n.dds";
    //diffuseMap[3] = "box_trailer_lights_dirt.dds";
    //normalMap[3] = "box_trailer_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(box_trailer_lights_on_intense)
{
    mapTo = "box_trailer_lights_on_intense";
    diffuseMap[2] = "box_trailer_lights_g.png";
    //specularMap[2] = "box_trailer_lights_s.dds";
    //normalMap[2] = "box_trailer_lights_n.dds";
    diffuseMap[1] = "box_trailer_lights_d.png";
    //specularMap[1] = "box_trailer_lights_s.dds";
    //normalMap[1] = "box_trailer_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    //specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "box_trailer_lights_n.dds";
    //diffuseMap[3] = "box_trailer_lights_dirt.dds";
    //normalMap[3] = "box_trailer_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(box_trailer_lights_dmg)
{
    mapTo = "box_trailer_lights_dmg";
    //diffuseMap[1] = "box_trailer_lights_dmg_d.dds";
    //specularMap[1] = "box_trailer_lights_dmg_s.dds";
    //normalMap[1] = "box_trailer_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "box_trailer_lights_dmg_n.dds";
    //diffuseMap[2] = "box_trailer_lights_dirt.dds";
    //normalMap[2] = "box_trailer_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};